Subject: [bug#51314] [PATCH 00/29] Add Octoprint (web UI for 3d printers).

From: Vinicius Monego <[email-masked]>
Date: Thu, 21 Oct 2021 03:51:00 +0000

This patchset adds the Octoprint web UI to control 3d printers.

Octoprint itself bundles font-awesome. I removed it in a snippet, don't know how much it would affect usability. I haven't found other bundles with license issues.

Some of the updates have newer versions but I'm updating to "older" versions to maintain compatibility with octoprint. See the comment in the octoprint package.

Vinicius Monego (29):
  gnu: Add python-filetype.
  gnu: Add python-immutabledict.
  gnu: Add python-emoji.
  gnu: Add python-cachelib.
  gnu: Add python-sarge.
  gnu: Add python-pylru.
  gnu: python-flask: Update to 1.1.4.
  gnu: python-flask: Respect #:tests?.
  gnu: Add python-pyscss.
  gnu: Add python-flask-assets.
  gnu: Add python-zipstream-new.
  gnu: Add python-executing.
  gnu: Add python-sentry-sdk.
  gnu: Add python-pytest-doctest-custom.
  gnu: Add python-sgmllib3k.
  gnu: python-feedparser: Update to 6.0.8.
  gnu: python-feedparser: Enable tests.
  gnu: python-netifaces: Update to 0.11.0.
  gnu: python-websocket-client: Update to 0.59.0.
  gnu: python-pkginfo: Update to 1.7.1.
  gnu: python-watchdog: Update to 0.10.7.
  gnu: python-colorlog: Update to 5.0.1.
  gnu: python-zeroconf: Update to 0.33.4.
  gnu: python-wrapt: Update to 1.12.1.
  gnu: python-wrapt: Enable tests.
  gnu: Add octoprint-pisupport.
  gnu: Add octoprint-firmwarecheck.
  gnu: Add octoprint-filecheck.
  gnu: Add octoprint.

 gnu/packages/printers.scm     | 181 +++++++++++++++-
 gnu/packages/python-check.scm |  29 +++
 gnu/packages/python-web.scm   |  96 ++++++++-
 gnu/packages/python-xyz.scm   | 381 ++++++++++++++++++++++++++++++----
 gnu/packages/web.scm          |  15 +-
 5 files changed, 645 insertions(+), 57 deletions(-)

base-commit: 2782cb38a3bc68c530d6e95f6834ae0cb7ed16aa
prerequisite-patch-id: 01467a57e2c7d6c0266979c26fc35408e886972b
-- 
2.30.2